Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deStaticBrush Class Reference

`#include <deBrush_priv.hpp>`

Inheritance diagram for deStaticBrush:

[legend]
Collaboration diagram for deStaticBrush:

[legend]
List of all members.

## Public Member Functions
| deStaticBrush ()
| ~deStaticBrush ()
void | SetTextureState (IdeRenderTexture *texture)
void | AddPoly (deBPoly &poly)
void | AddIndexedBuffer (BIndexList indexbuffer)
void | BuildIndexedBuffers ()
deBoolean | AddVertices (const deBrushVertexData &vertexdata, long &indexoffset)
deBoolean | AddIndices (const deBrushIndexData &vertexdata, long indexoffset)
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
deBrush * | CopyBrush ()
void | SpecificRotate (deVec3d Center, deTransformInfo &M)
void | SpecificTranslate (deVec3d Delta)
void | SpecificScale (deVec3d Center, deDouble Scale)
## Private Member Functions
void | UpdateBrush ()
void | MakeArrays ()
## Private Attributes
long | m_CurrentTexture
## Friends
deBoolean | IdeBrush_LoadFromXFile (char *filename, deTList< IdeStaticBrush * > &brushplist)
deBoolean | MakeStaticBrushList (deXMesh *mesh, deTList< IdeStaticBrush * > &brushplist)

## Constructor & Destructor Documentation

deStaticBrush::deStaticBrush | ( |  | ) |

deStaticBrush::~deStaticBrush | ( |  | ) |

## Member Function Documentation

void deStaticBrush::AddIndexedBuffer | ( | BIndexList | indexbuffer | ) | `[virtual]`

| Implements IdeStaticBrush.

deBoolean deStaticBrush::AddIndices | ( | const deBrushIndexData & | vertexdata,
|  | long | indexoffset
| ) | `[virtual]`

| Implements IdeStaticBrush.

void deStaticBrush::AddPoly | ( | deBPoly & | poly | ) |

deBoolean deStaticBrush::AddVertices | ( | const deBrushVertexData & | vertexdata,
|  | long & | indexoffset
| ) | `[virtual]`

| Implements IdeStaticBrush.

void deStaticBrush::BuildIndexedBuffers | ( |  | ) | `[virtual]`

| Implements IdeStaticBrush.

deBrush * deStaticBrush::CopyBrush | ( |  | ) | `[protected, virtual]`

| Implements deBrush.

void deStaticBrush::MakeArrays | ( |  | ) | `[private]`

void deStaticBrush::SetTextureState | ( | IdeRenderTexture * | texture | ) | `[virtual]`

| Implements IdeStaticBrush.

void deStaticBrush::SpecificRotate | ( | deVec3d | Center,
|  | deTransformInfo & | M
| ) | `[protected, virtual]`

| Reimplemented from deBrush.

void deStaticBrush::SpecificScale | ( | deVec3d | Center,
|  | deDouble | Scale
| ) | `[protected, virtual]`

| Reimplemented from deBrush.

void deStaticBrush::SpecificTranslate | ( | deVec3d | Delta | ) | `[protected, virtual]`

| Reimplemented from deBrush.

void deStaticBrush::UpdateBrush | ( |  | ) | `[private, virtual]`

| Implements deBrush.

## Friends And Related Function Documentation

deBoolean IdeBrush_LoadFromXFile | ( | char * | filename,
|  | deTList< IdeStaticBrush * > & | brushplist
| ) | `[friend]`

deBoolean MakeStaticBrushList | ( | deXMesh * | mesh,
|  | deTList< IdeStaticBrush * > & | brushplist
| ) | `[friend]`

## Member Data Documentation

long deStaticBrush::m_CurrentTexture`[private]`

deStaticBrush::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deBrush_priv.hpp
- StaticBrush.cpp